Bug 538802 - Alt-Tab behaviour unusable slow with Metacity compositor
Summary: Alt-Tab behaviour unusable slow with Metacity compositor
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 13:16 UTC by alexf
Modified: 2012-03-22 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-22 19:58:44 UTC
Type: ---


Attachments (Terms of Use)

Description alexf 2009-11-19 13:16:06 UTC
Description of problem:
In comparison to F11 alt-tabbing (switching) between applications is so slow that I'm not using it anymore since it is unbearable. It seems that mainly the "initialization" of the alt-tab process is slow, because once the window showing all open applications comes up (which is the slow part) things are fine.

I use focus-follows-mouse without bringing the focused window to the foreground.

Version-Release number of selected component (if applicable):
metacity-2.28.0-9.fc12.x86_64

How reproducible:
Just try alt-tabbing.

Actual results:
It's too slow.

Expected results:
Needs to be as fast as with F11.

Comment 1 Owen Taylor 2009-11-20 14:28:36 UTC
Do you have the metacity compositor turned on by any chance? (If you don't know what that is, then the answer is no; you'd have to have changed a GConf key to turn it on.)

Comment 2 alexf 2009-11-22 19:23:47 UTC
Yes, it's enabled. I know gconf.

Comment 3 Owen Taylor 2009-11-22 19:45:25 UTC
Almost certainly an X driver bug then. What video card do you have so I can reassign this to the appropriate place?

Comment 4 alexf 2009-11-22 21:54:26 UTC
Ok, I have an ATI Mobility Radeon HD 3650. lspci calls it RV635.

I use mesa-dri-drivers-experimental, maybe that's why.

Comment 5 Colin Macdonald 2010-05-04 21:27:52 UTC
Still present in F13, not driver specific.

Upstream is http://bugzilla.gnome.org/show_bug.cgi?id=504729

I posted a simple work-around patch there.  May I propose for F13?

Comment 6 Bug Zapper 2010-11-04 06:04:28 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Colin Macdonald 2010-11-04 09:44:32 UTC
Still present in F14.

Ping: I posted a patch in the upstream bug (http://bugzilla.gnome.org/show_bug.cgi?id=504729)

Comment 8 Bug Zapper 2010-12-04 03:09:58 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Colin Macdonald 2010-12-04 09:19:15 UTC
I don't have permission to reopen but this is still present in F14, as per my comment #7 (posted a month before you closed this).

As I've mentioned several times, I posted a patch in the upstream bug.

Comment 10 Owen Taylor 2012-03-22 19:58:44 UTC
The metacity compositor is unsupportable and we're not going to put any effort into it other than packaging whatever is upstream.


Note You need to log in before you can comment on or make changes to this bug.